Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.randvar
Class GeometricGen

    java.lang.Object
      umontreal.iro.lecuyer.randvar.RandomVariateGen
          umontreal.iro.lecuyer.randvar.RandomVariateGenInt
              umontreal.iro.lecuyer.randvar.GeometricGen

    public class GeometricGen

extends RandomVariateGenInt

This class implements a random variate generator for the geometric distribution. Its has parameter p and mass function

p(x) = p(1 - p)x for x = 0, 1, 2,...,

where 0 <= p <= 1. Random variates are generated by calling inversion on the distribution object.

Constructor Summary
`GeometricGen(RandomStream s, double p)` Creates a geometric random variate generator with parameter p, using stream `s`.
`GeometricGen(RandomStream s, GeometricDist dist)` Creates a new generator for the distribution `dist`, using stream `s`.

Method Summary
`double` | `getP()` Returns the parameter p of this object.
`int` | `nextInt()` Generates a random number (an integer) from the discrete distribution contained in this object.
`static int` | `nextInt(RandomStream s, double p)` Generates a geometric random variate with parameter p = `p`, using stream `s`, by inversion.

Methods inherited from class umontreal.iro.lecuyer.randvar.RandomVariateGenInt
`getDistribution, nextArrayOfInt`

Methods inherited from class umontreal.iro.lecuyer.randvar.RandomVariateGen
`getStream, nextArrayOfDouble, nextDouble, setStream`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GeometricGen

    public GeometricGen(RandomStream s,
                        double p)

  Creates a geometric random variate generator with parameter p, using stream `s`.

### GeometricGen

    public GeometricGen(RandomStream s,
                        GeometricDist dist)

  Creates a new generator for the distribution `dist`, using stream `s`.

Method Detail

### nextInt

    public int nextInt()

  Description copied from class: `RandomVariateGenInt`
  Generates a random number (an integer) from the discrete distribution contained in this object. By default, this method uses inversion by calling the `inverseF` method of the distribution object. Alternative generating methods are provided in subclasses.

  Overrides:
    `nextInt` in class `RandomVariateGenInt`
  Returns:
    the generated value

### nextInt

    public static int nextInt(RandomStream s,
                              double p)

  Generates a geometric random variate with parameter p = `p`, using stream `s`, by inversion.

### getP

    public double getP()

  Returns the parameter p of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Pierre L'Ecuyer.